<template>
    <transition name="modal">
    <div class="modal-mask">
      <div class="modal-wrapper">
        <div class="modal-container">
          <div class="modal-body">
            <input autofocus v-model="key" v-on:keyup.enter="sendKey" placeholder="Enter key and press enter" type="text">
          </div>
        </div>
      </div>
    </div>
    </transition>
</template>

<script>
    export default {
        data () {
            return {
                key: ''
            }
        },
        methods: {
            sendKey: function () {
                this.$emit('clicked', this.key)
            }
        }
    }
</script>

<style lang="scss" scoped>

    $roboto: 'Roboto', sans-serif;

    .text{
        font-family: $roboto;
        font-size: 16px;
        color:#888;
    }

    .modal-mask {
        position: fixed;
        z-index: 9998;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: table;
        transition: opacity .3s ease;
    }

    .modal-wrapper {
        display: table-cell;
        vertical-align: middle;
    }

    .modal-container {
        width: 200px;
        margin: 0px auto;
        padding: 5px 5px;
        display: flex;
        align-items:center;
        justify-content: center;
        background-color: #fff;
        border-radius: 2px;
        box-shadow: 0 2px 8px rgba(0, 0, 0, .33);
        transition: all .3s ease;
        font-family: Helvetica, Arial, sans-serif;
    }

    .modal-header h3 {
        margin-top: 0;
        color: #42b983;
    }

    .modal-body {
        margin: 5px 0;
        width: 190px;
        input{
            &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
                text-indent:5px;
            }
            @extend .text;
            width: 100%;
            text-indent:5px;
            border-radius: 5px;
            border: 1px solid gray;
            height: 35px;
        }

    }

    /*
     * The following styles are auto-applied to elements with
     * transition="modal" when their visibility is toggled
     * by Vue.js.
     *
     * You can easily play with the modal transition by editing
     * these styles.
     */

    .modal-enter {
        opacity: 0;
    }

    .modal-leave-active {
        opacity: 0;
    }

    .modal-enter .modal-container,
    .modal-leave-active .modal-container {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }
</style>
